GHSA-4cf5-xmhp-3xj7

Suggest an improvement
Source
https://github.com/advisories/GHSA-4cf5-xmhp-3xj7
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/06/GHSA-4cf5-xmhp-3xj7/GHSA-4cf5-xmhp-3xj7.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-4cf5-xmhp-3xj7
Aliases
Published
2022-06-30T00:00:41Z
Modified
2023-11-08T04:09:36.762135Z
Severity
  • 9.8 (Critical) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
Improper Authorization in Apache Shiro
Details

Apache Shiro before 1.9.1, A RegexRequestMatcher can be misconfigured to be bypassed on some servlet containers. Applications using RegExPatternMatcher with . in the regular expression are possibly vulnerable to an authorization bypass.

References

Affected packages

Maven / org.apache.shiro:shiro-core

Package

Name
org.apache.shiro:shiro-core
View open source insights on deps.dev
Purl
pkg:maven/org.apache.shiro/shiro-core

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.9.1

Affected versions

1.*

1.0.0-incubating
1.1.0
1.2.0
1.2.1
1.2.2
1.2.3
1.2.4
1.2.5
1.2.6
1.3.0
1.3.1
1.3.2
1.4.0-RC2
1.4.0
1.4.1
1.4.2
1.5.0
1.5.1
1.5.2
1.5.3
1.6.0
1.7.0
1.7.1
1.8.0
1.9.0